# Configuration for WPC-Poland.

[options]
    require_manual_disambiguation = true

[divisions]
    open = {name="Open", min=0, max=999}

    # Compact names (prefer these).
    t13_15 = {name="T13-15", min=13, max=15}
    t16_17 = {name="T16-17", min=16, max=17}
    t18_19 = {name="T18-19", min=18, max=19}
    j20_23 = {name="J20-23", min=20, max=23}
    s24_32 = {name="S24-32", min=24, max=32}
    s33_39 = {name="S33-39", min=33, max=39}
    m40_44 = {name="M40-44", min=40, max=44} # M1
    m45_49 = {name="M45-49", min=45, max=49} # M2
    m45p   = {name="M45+",   min=45, max=999} # M2+
    m50_54 = {name="M50-54", min=50, max=54} # M3
    m55_59 = {name="M55-59", min=55, max=59} # M4
    m60_64 = {name="M60-64", min=60, max=64} # M5
    m65_69 = {name="M65-69", min=65, max=69} # M6
    m70_74 = {name="M70-74", min=70, max=74} # M7
    m75_79 = {name="M75-79", min=75, max=79} # M8


    # Expanded names (don't prefer these).
    seniors24_32 = {name="Seniors 24-32", min=24, max=32}
    submasters33_39 = {name="Submasters 33-39", min=33, max=39}
    teen13_19 = {name="Teen 13-19", min=13, max=19}
    teen13_15 = {name="Teen 13-15", min=13, max=15}
    teen16_17 = {name="Teen 16-17", min=16, max=17}
    teen18_19 = {name="Teen 18-19", min=18, max=19}
    juniors20_23 = {name="Juniors 20-23", min=20, max=23}
    masters40_44 = {name="Masters 40-44", min=40, max=44} # M1
    masters45_49 = {name="Masters 45-49", min=45, max=49} # M2
    masters50_54 = {name="Masters 50-54", min=50, max=54} # M3
    masters55_59 = {name="Masters 55-59", min=55, max=59} # M4
    masters60_64 = {name="Masters 60-64", min=60, max=64} # M5
    masters65_69 = {name="Masters 65-69", min=65, max=69} # M6
    masters70_74 = {name="Masters 70-74", min=70, max=74} # M7
    masters75_79 = {name="Masters 75-79", min=75, max=79} # M8
    
    teen16_19 = {name="Teen 16-19", min=16, max=19}
    MPF = {name="MPF", min=0, max=999} #Police/Fire
    para = {name="Para", min=0, max=999} #Paralympic

[weightclasses.default_M]
    classes = ["52","56","60","67.5","75","82.5","90","100","110","125","140","140+"]
    date_range = ["0000-01-01","9999-01-01"]
    sex = "M"

[weightclasses.default_F]
    classes = ["44","48","52","56","60","67.5","75","82.5","90","90+"]
    date_range = ["0000-01-01","9999-01-01"]
    sex = "F"

[exemptions]
    1901 = ["ExemptWeightClassConsistency"] #Made up the SHW classes as they went along
    2001 = ["ExemptWeightClassConsistency", "ExemptDivision"] #Divisions and weightclasses are all over the show
    2101 = ["ExemptWeightClassConsistency", "ExemptDivision"] #Divisions and weightclasses are all over the show
    2102 = ["ExemptWeightClassConsistency", "ExemptDivision"] #Divisions and weightclasses are all over the show
    2103 = ["ExemptWeightClassConsistency", "ExemptDivision"] #Divisions and weightclasses are all over the show
    2202 = ["ExemptWeightClassConsistency"] # Lots of 0+ to score this properly
    2203 = ["ExemptWeightClassConsistency"] # 75+ used for Women's
    2204 = ["ExemptWeightClassConsistency"] # 67.5+ used for Women's
    2301 = ["ExemptWeightClassConsistency", "ExemptDivision"] #Divisions and weightclasses are all over the show
    2302 = ["ExemptWeightClassConsistency", "ExemptDivision"] #Divisions and weightclasses are all over the show
    2303 = ["ExemptWeightClassConsistency", "ExemptDivision"] #Went by placings
    2304 = ["ExemptWeightClassConsistency", "ExemptDivision"] #Went by placings
    2401 = ["ExemptWeightClassConsistency", "ExemptDivision"] #Went by placings
    2402 = ["ExemptWeightClassConsistency", "ExemptDivision"] #Went by placings
    2403 = ["ExemptWeightClassConsistency", "ExemptDivision"] #Went by placings
